﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ArcGIS.Core.CIM;
using ArcGIS.Core.Data;
using ArcGIS.Core.Geometry;
using ArcGIS.Desktop.Catalog;
using ArcGIS.Desktop.Core;
using ArcGIS.Desktop.Editing;
using ArcGIS.Desktop.Extensions;
using ArcGIS.Desktop.Framework;
using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Dialogs;
using ArcGIS.Desktop.Framework.Threading.Tasks;
using ArcGIS.Desktop.Layouts;
using ArcGIS.Desktop.Mapping;

namespace GraphicsLayerDemos.Demo2
{
  internal class GeometryAndSymbol : Button
  {
    protected override void OnClick()
    {
      GraphicsLayer graphicsLayer = MapView.Active.Map.TargetGraphicsLayer;
      Envelope extent = MapView.Active.Extent;
      //Get a simple Point Geometry
      MapPoint location = extent.Center;
      QueuedTask.Run(() => {
        //specify a symbol
        CIMPointSymbol pt_symbol = SymbolFactory.Instance.ConstructPointSymbol(ColorFactory.Instance.GreenRGB, 30);
        //Create Element
        GraphicElement graphicElement = graphicsLayer.AddElement(location, pt_symbol);
      });

    }
  }
}
